
Foreman - Bug #5397

Architectures filter blows up if an organization is selected

04/22/2014 03:46 PM - Eric Helms

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1098709 Red Hat JIRA:  

Pull request:    

Description

1. Create new role

2. New Filter

3. Select 'architectures' resource type

4. Add all permissions

5. Click 'submit'

6. Assign role to a user without any roles

7. Log in as that user

8. See 'Architectures' link and attempt to select

9. Get the following errors:

If on another Foreman page:

"Invalid search query: Field 'organization_id' not recognized for searching!"

Try to go to /architectures directly:

ActionController::RedirectBackError in ArchitecturesController#index

No HTTP_REFERER was set in the request to this action, so redirect_to :back could not be called successfully. If this is a test, make

sure to specify request.env["HTTP_REFERER"].

Rails.root: /home/ehelms/workspace/foreman

Application Trace | Framework Trace | Full Trace

app/controllers/concerns/foreman/controller/auto_complete_search.rb:22:in `invalid_search_query'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

app/services/authorizer.rb:50:in `find_collection'

app/models/concerns/authorizable.rb:19:in `block (2 levels) in <module:Authorizable>'

app/controllers/application_controller.rb:163:in `resource_base'

app/controllers/architectures_controller.rb:6:in `index'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Related issues:

Has duplicate Foreman - Bug #5775: org admin user cannot visit Configure -> P... Duplicate 05/17/2014

Has duplicate Foreman - Bug #5541: Filter of resource type Organization can r... Closed 05/01/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

History

#1 - 04/22/2014 03:56 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 04/22/2014 03:56 PM - Dominic Cleal

- Category set to Users, Roles and Permissions

So this search string is something you added, with organization_id?

05/11/2024 1/2



#3 - 04/22/2014 04:09 PM - Marek Hulán

I can imagine this can happen if you have filter for taxonomied resource, select some of them (automatically when you're in some context) and later

you change the resource of this filter, taxonomies could remain assigned even if this resource does not support them.

#4 - 05/01/2014 03:37 PM - Dominic Cleal

- Related to Bug #5541: Filter of resource type Organization can result in error condition when trying to access organization resources added

#5 - 05/19/2014 07:26 AM - Dominic Cleal

- Has duplicate Bug #5775: org admin user cannot visit Configure -> Puppet Classes UI page added

#6 - 05/20/2014 02:52 PM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098709

#7 - 05/28/2014 10:53 AM - Marek Hulán

- Related to deleted (Bug #5541: Filter of resource type Organization can result in error condition when trying to access organization resources)

#8 - 05/28/2014 10:54 AM - Marek Hulán

- Has duplicate Bug #5541: Filter of resource type Organization can result in error condition when trying to access organization resources added

#9 - 05/28/2014 10:58 AM - Dominic Cleal

- Status changed from New to Duplicate
